#
# spec file for package dstat
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dstat
Version:        0.7.2
Release:        8.2
Summary:        Versatile vmstat, iostat and ifstat Replacement
License:        GPL-2.0
Group:          System/Monitoring
Url:            http://dag.wieers.com/home-made/dstat/
Source:         http://dag.wieers.com/home-made/dstat/dstat-%{version}.tar.bz2
Source1:        dstat.desktop
BuildRequires:  make
Requires:       python
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
Requires:       python-curses
Recommends:     python-utmp
%endif

%description
Dstat is a versatile replacement for vmstat, iostat, netstat and ifstat.
Dstat overcomes some of their limitations and adds some extra features,
more counters and flexibility. Dstat is handy for monitoring systems
during performance tuning tests, benchmarks or troubleshooting.

Dstat allows you to view all of your system resources instantly, you
can eg. compare disk usage in combination with interrupts from your
IDE controller, or compare the network bandwidth numbers directly
with the disk throughput (in the same interval).

Dstat gives you detailed selective information in columns and clearly
indicates in what magnitude and unit the output is displayed. Less
confusion, less mistakes.

%prep
%setup -q

%build

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

install -D -m 0644 docs/dstat.1 "%{buildroot}%{_mandir}/man1/dstat.1"
install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%if 0%{?suse_update_desktop_file:1}
%suse_update_desktop_file -r "%{name}" System Monitor
%endif

rm docs/Makefile

%if 0%{?suse_version}
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO WISHLIST
%doc docs/*.html docs/*.txt examples/ proc/
%{_bindir}/dstat
%dir %{_datadir}/dstat
%{_datadir}/dstat/*
%{_mandir}/man1/dstat.1%{ext_man}
%{_datadir}/applications/dstat.desktop

%changelog
* Thu Feb 11 2016 mvetter@suse.com
- Adding as required by fate#319795
* Thu Jul 16 2015 seife+obs@b1-systems.com
- fix build on non-SUSE distros whose rpm does not know Recommends:
* Fri May  1 2015 mpluskal@suse.com
- Use post/postun scriplets for desktop file
- Cleanup spec file with spec-cleaner
* Wed Sep  3 2014 dsterba@suse.cz
- fix license string
- change python-utmp from Requires to Recommends, not necessary
  and documented
* Fri Aug 22 2014 dsterba@suse.cz
- clean spec
* Tue Jun 15 2010 pascal.bleser@opensuse.org
- update to 0.7.2:
  * adds new plugins for:
    + I/O transactions per device
    + Squid counters
    + Dstat performance counters
    + most expensive interrupt
    + additional advanced process plugins
  * better protection against counter rollovers was provided
  * support for CCISS and virtio block devices was added
  * memory usage was reduced for top process plugins
  * various improvements and documentation updates
* Mon Feb 22 2010 pascal.bleser@opensuse.org
  * new plugins were added:
  * qmail stats (--qmail)
  * dstat baselining (--dstat)
  * disk transactions per second (--disk-tps)
  * per plugin line caching was added for improved performance
  * usability and documentation improvements were made
  * a --profile option was added to assist in profiling Dstat
* Wed Nov 25 2009 pascal.bleser@opensuse.org
- update to 0.7.0:
  * fixes CVE-2009-3894
  * new plugins were added for showing
    + NTP time
    + power usage
    + fan speed
    + remaining battery time
    + memcache hits and misses
    + process count
    + top process total and average latency
    + top process total and average CPU timeslice
    + per disk utilization rates
  * lots of changes were made to the plugin interface to simplify writing external plugins
  * all external plugins can now be addressed with a long option
  * improvements were made to performance and theming
  * the --bw/--blackonwhite option was added for users with a light terminal background
  * the --float option was added to force showing floating point numbers on screen
* Wed Dec  3 2008 guru@unixtech.be
- update to 0.6.9:
  * adds new plugins for counters with respect to open files, inodes, sockets,
    asynchronous I/O, pagefaults, and completed I/O requests
  * adds a --list option to list all available plugins
  * adds a VMware guest memctl plugin
* Fri Sep 12 2008 guru@unixtech.be
- update to 0.6.8:
  * a more accurate scheduler
  * new snooze and net_packets plugins
  * a --pidfile option
  * improved --debug output for certain plugins
  * warnings when time is non-linear (like on VMware)
  * various small bugfixes and improvements
* Tue Feb 26 2008 guru@unixtech.be
- new upstream version
* Tue Dec 18 2007 guru@unixtech.be
- fixed .desktop file and build on openSUSE 10.3
* Sat Apr 28 2007 guru@unixtech.be
- initial build service package
